
import { request } from '@umijs/max';


export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: godownTypes.addInput) {
        return request('/api/godown/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: godownTypes.delInput) {
        return request(`/api/godown/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: godownTypes.updateInput) {
        return request('/api/godown/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/godown/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List(parms: godownTypes.queryParms) {
        return request('/api/godown/list', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: godownTypes.queryPage) {
        return request('/api/godown/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },

}

